body{
    margin: 0;
    padding: 0;
    font-family: Arial, Helvetica, sans-serif;
}
.center{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    line-height: 50px;
    display: inline-block;
}
a{
    font-size: 30px;
    position: relative;
    text-transform: uppercase;
    text-decoration: none;
    color: #262626;
    padding: 15px 25px;
    border-left: 3px solid #262626;
    border-right: 3px solid #262626;
}
.bdr{
    display: block;
    height: 3px;
    background: #262626;
    position: absolute;    
}
.bdr1{
    top: -8px;
    left: 0px;
    width: 15%;
    transition: .3s;
}
.bdr2{
    top: -8px;
    right: 0px;
    width: 80%;
    transition: .3s;

}
.bdr3{
    bottom: -3px;
    left: 0px;
    width: 80%;
    transition: .3s;
}
.bdr4{
    bottom: -3px;
    right: 0px;
    width: 15%;
    transition: .3s;
}
.center:hover .bdr1{
    width: 80%;
}
.center:hover .bdr2{
    width: 15%;
}
.center:hover .bdr3{
    width: 15%;
}
.center:hover .bdr4{
    width: 80%;
}
